<script setup lang="ts">
import vueDatePicker from '@vuepic/vue-datepicker'

const time = ref()
const isActive = ref()
const datepicker = ref(null)
</script>

<template>
  <div :class="{ active: isActive }" class="timepicker">
    <vue-date-picker
      v-model="time"
      cancel-text="取消"
      placeholder="請輸入"
      select-text="選擇"
      hide-input-icon
      time-picker
      @blur="isActive = false"
      @click="isActive = true"
    />
    <img
      alt=""
      class="time-icon"
      src="@/assets/icons/clock.svg"
      @click=";(datepicker as any).openMenu()"
    />
  </div>
</template>

<style lang="scss" scoped>
.timepicker {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;

  ::v-deep .dp__input {
    width: 100%;
    height: 48px;
    padding: 12px 24px;
    background-color: #efefef;
    border: 1px solid #efefef;
    border-radius: 24px;
    outline: unset;

    &.dp__input_focus {
      background-color: #fff;
      border: 1px solid #046db6;
      border-radius: 24px;
    }

    &::placeholder {
      color: #b2b2b2;
      opacity: 1;
    }
  }

  .time-icon {
    position: absolute;
    right: 5%;
    display: flex;
    justify-content: center;
    width: 16px;
    height: 16px;
    cursor: pointer;
  }
}
::v-deep .dp__outer_menu_wrap {
  .dp__today {
    border-color: #fd832c;
  }
  .dp__active_date {
    background-color: #fd832c;
  }

  .dp__select {
    color: #046db6;
  }
}
</style>
